import { ApiUrlProvider } from '../../services/api-url-provider';
import { HttpClient } from '@angular/common/http';
import { User } from '../../security/models/User';
import { Observable } from 'rxjs';
export declare class EventPotentialVisitorsService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    getAllPotentialVisitors(eventId: number): Observable<Array<User>>;
    addEventPotentialVisitor(eventId: number, user: User): Observable<User>;
    removeEventPotentialVisitor(eventId: number, user: User): Observable<User>;
}
