import { Observable } from 'rxjs';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { SaveRequestNotificator } from '../progress-loader/service/save-request-notificator.service';
export declare class ProgressInterceptor implements HttpInterceptor {
    private loader;
    constructor(loader: SaveRequestNotificator);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    conditionSpining(req: HttpRequest<any>): boolean;
    showSaveIndicator(): void;
    hideSaveIndicator(): void;
    errorMessage(): void;
}
