import { ActivatedRouteSnapshot, CanActivate, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { UserDetailsService } from '../services/user-details.service';
import { Oauth2Service } from '../services/oauth2.service';
import { StreamService } from '../../stream/services/stream.service';
export declare class AdminAuthGuard implements CanActivate {
    private userDetailsService;
    private oauthService;
    private streamService;
    private router;
    constructor(userDetailsService: UserDetailsService, oauthService: Oauth2Service, streamService: StreamService, router: Router);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean> | Promise<boolean> | boolean;
    private redirectToLogin;
}
