import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, Router } from '@angular/router';
import { Oauth2Service } from '../services/oauth2.service';
import { Observable } from 'rxjs';
import { StreamService } from '../../stream/services/stream.service';
export declare class ClientAuthGuard implements CanActivate {
    private authService;
    private streamService;
    private router;
    constructor(authService: Oauth2Service, streamService: StreamService, router: Router);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
}
