import { Observable } from 'rxjs';
import { LocalStorage } from '@ngx-pwa/local-storage';
export declare class UserDetailsService {
    private localStorage;
    constructor(localStorage: LocalStorage);
    getCurrentUserDisplayName(): Observable<any>;
    getCurrentUserUsername(): Observable<any>;
    getCurrentUserAccessToken(): Observable<any>;
    getCurrentUserRefreshToken(): Observable<any>;
    getCurrentUserRole(): Observable<any>;
    setCurrentUserDisplayName(displayName: string): Observable<boolean>;
    setCurrentUserUsername(username: string): Observable<boolean>;
    setCurrentUserAccessToken(accessToken: string): Observable<boolean>;
    setCurrentUserRefreshToken(refreshToken: string): Observable<boolean>;
    setCurrentUserRole(role: string): Observable<boolean>;
    clearCurrentUserDetails(): Observable<boolean>;
}
