import { MatDialog, MatSnackBar } from '@angular/material';
export declare class PopupsService {
    dialog: MatDialog;
    private snackBar;
    private confirmationDialogSubscription;
    constructor(dialog: MatDialog, snackBar: MatSnackBar);
    showConfirmationDialog(message: string, positiveAnswer: string, negativeAnswer: string, onActionConfirmed: (confirmed: boolean) => void): void;
    showSnackBar(message: string): void;
    private openDialogWindow;
    private dialogDataConfig;
}
