import { HttpClient } from '@angular/common/http';
import { Speaker } from '../models/Speaker';
import { Observable } from 'rxjs';
import { ApiUrlProvider } from '../../services/api-url-provider';
export declare class SpeakersService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    findAllByEvent(eventId: number): Observable<Array<Speaker>>;
    findAllByTopic(topicId: number): Observable<Array<Speaker>>;
    findAll(): Observable<Array<Speaker>>;
    findAllEventUsers(eventId: number): Observable<Array<Speaker>>;
}
