import { HttpClient } from '@angular/common/http';
import { ApiUrlProvider } from '../../services/api-url-provider';
import { Observable } from 'rxjs';
import { Attachment } from '../model/Attachment';
export declare class AttachmentService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    saveAttachment(attachment: File): Observable<Attachment>;
    deleteAttachment(attachmentId: number): Promise<Object>;
}
