import { BehaviorSubject, Subscription } from 'rxjs';
export declare class BaseBehaviorSubject<T> {
    subject: BehaviorSubject<T[]>;
    constructor();
    subscribe(next?: (value: T[]) => void): Subscription;
    private notifySubjectChanged;
    replaceAll(items: T[]): void;
    add(item: T): void;
    remove(item: T, equals: (e1: T, e2: T) => boolean): void;
    replace(item: T, equals: (e1: T, e2: T) => boolean): void;
}
