import { HttpClient } from '@angular/common/http';
import { ApiUrlProvider } from '../../services/api-url-provider';
import { User } from '../../security/models/User';
import { Observable } from 'rxjs';
export declare class EventActualVisitorsService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    getAllActualVisitors(eventId: number): Observable<Array<User>>;
    addEventActualVisitor(eventId: number, user: User): Observable<User>;
}
