import { ApiUrlProvider } from '../../services/api-url-provider';
import { HttpClient } from '@angular/common/http';
import { Event } from '../models/Event';
import { User } from '../../security/models/User';
import { Observable } from 'rxjs';
export declare class EventSharedUsersService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    getAllSharedUsers(eventId: number): Observable<Array<User>>;
    addAllSharedUsers(sharedUsers: Array<User>, eventId: number): Observable<Array<User>>;
    deleteSharedUser(eventId: number, user: User): Observable<User>;
    getAllEventShared(username: string): Observable<Array<Event>>;
}
