import { Observable } from 'rxjs';
import { ActivatedRoute, ActivatedRouteSnapshot, CanActivate, Router } from '@angular/router';
import { UserDetailsService } from '../services/user-details.service';
import { EventsService } from '../../event/services/events.service';
import { EventSharedUsersService } from '../../event/services/event-shared-users-service';
export declare class AdminEventPermeationGuard implements CanActivate {
    private userDetailsService;
    private activatedRoute;
    private eventsService;
    private eventSharedUserService;
    private router;
    constructor(userDetailsService: UserDetailsService, activatedRoute: ActivatedRoute, eventsService: EventsService, eventSharedUserService: EventSharedUsersService, router: Router);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean> | Promise<boolean> | boolean;
    private redirectToPermissionDenied;
}
