import { Observable } from 'rxjs';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Oauth2Service } from '../services/oauth2.service';
import { Router } from '@angular/router';
import { UserDetailsService } from '../services/user-details.service';
export declare class AuthInterceptor implements HttpInterceptor {
    private authService;
    private userDetailsService;
    private router;
    constructor(authService: Oauth2Service, userDetailsService: UserDetailsService, router: Router);
    intercept(originRequest: HttpRequest<any>, next: HttpHandler): Observable<any>;
    handle401Error(originRequest: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> | Observable<any>;
    private addAuthHeader;
    private logout;
}
