import { HttpClient } from '@angular/common/http';
import { ApiUrlProvider } from '../../services/api-url-provider';
import { Stream } from '../model/stream';
import { Observable } from 'rxjs';
export declare class StreamService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    getStreamById(streamId: string): Observable<Stream>;
    getStreamsByEvent(eventId: string): Observable<Stream[]>;
    add(eventId: number, stream: Stream): Observable<Stream>;
    update(stream: Stream): Observable<Stream>;
    delete(stream: Stream): Observable<void>;
}
