import { Tag } from '../models/Tag';
import { ApiUrlProvider } from '../../services/api-url-provider';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class TagService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    create(tag: Tag): Observable<Tag>;
    addTagToEvent(eventId: string, tagId: string): Observable<Tag>;
    matTagToAnotherTag(rootTagId: string, tagId: string): Observable<Tag>;
    removeFromEvent(eventId: string, tagId: string): Observable<Object>;
}
