import { HttpClient } from '@angular/common/http';
import { ApiUrlProvider } from '../../services/api-url-provider';
import { Topic } from '../model/Topic';
import { Observable } from 'rxjs';
export declare class TopicService {
    private http;
    private urlProvider;
    constructor(http: HttpClient, urlProvider: ApiUrlProvider);
    getTopics(streamId: number): Observable<Topic[]>;
    findById(topicId: number): Observable<Topic>;
    delete(topicId: number): Promise<Topic>;
    update(streamId: number, topic: Topic): Observable<Topic>;
    create(streamId: number, topic: Topic): Promise<Topic>;
}
